Generate images using the smallest and fastest Flux.2 Klein 4B model.

Model

black-forest-labs/flux.2-klein-4b

Parameters

ParameterTypeRequiredDefaultDescription
promptstringYes-Text description of the image
aspect_ratiostringNo"16:9""21:9", "16:9", "4:3", "1:1", "3:4", "9:16", "9:21"
resolutionstringNo"1mp""0.6mp", "1mp", "2mp", "4mp"
image_urlsstring[]NonullReference image URLs
seedintegerNorandomSeed for reproducibility
Klein models do not support guidance, steps, or prompt_upsampling.

Example Request

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "black-forest-labs/flux.2-klein-4b",
    "input": {
      "prompt": "A simple icon of a coffee cup",
      "aspect_ratio": "1:1"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}